#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 taffybar
version:              4.0.0
visibility:           public
id:                   taffybar-4.0.0-1G4WV3XzzMAFhG7ZOpnQ4
key:                  taffybar-4.0.0-1G4WV3XzzMAFhG7ZOpnQ4
license:              BSD-3-Clause
maintainer:           IvanMalison@gmail.com
author:               Ivan Malison
homepage:             http://github.com/taffybar/taffybar
synopsis:             A desktop bar similar to xmobar, but with more GUI
category:             System
abi:                  5bf06e73eec35533a800d5c153dd3cd6
exposed:              True
exposed-modules:
    System.Taffybar System.Taffybar.Auth System.Taffybar.Context
    System.Taffybar.DBus System.Taffybar.DBus.Toggle
    System.Taffybar.Example System.Taffybar.Hooks
    System.Taffybar.Information.Battery System.Taffybar.Information.CPU
    System.Taffybar.Information.CPU2 System.Taffybar.Information.Chrome
    System.Taffybar.Information.Crypto
    System.Taffybar.Information.DiskIO
    System.Taffybar.Information.EWMHDesktopInfo
    System.Taffybar.Information.MPRIS2
    System.Taffybar.Information.Memory
    System.Taffybar.Information.Network
    System.Taffybar.Information.SafeX11
    System.Taffybar.Information.StreamInfo
    System.Taffybar.Information.X11DesktopInfo
    System.Taffybar.Information.XDG.Protocol
    System.Taffybar.LogFormatter System.Taffybar.SimpleConfig
    System.Taffybar.Support.PagerHints System.Taffybar.Util
    System.Taffybar.Widget System.Taffybar.Widget.Battery
    System.Taffybar.Widget.CPUMonitor
    System.Taffybar.Widget.CommandRunner System.Taffybar.Widget.Crypto
    System.Taffybar.Widget.DiskIOMonitor
    System.Taffybar.Widget.FSMonitor
    System.Taffybar.Widget.FreedesktopNotifications
    System.Taffybar.Widget.Generic.AutoSizeImage
    System.Taffybar.Widget.Generic.ChannelGraph
    System.Taffybar.Widget.Generic.ChannelWidget
    System.Taffybar.Widget.Generic.DynamicMenu
    System.Taffybar.Widget.Generic.Graph
    System.Taffybar.Widget.Generic.Icon
    System.Taffybar.Widget.Generic.PollingBar
    System.Taffybar.Widget.Generic.PollingGraph
    System.Taffybar.Widget.Generic.PollingLabel
    System.Taffybar.Widget.Generic.VerticalBar
    System.Taffybar.Widget.Layout System.Taffybar.Widget.MPRIS2
    System.Taffybar.Widget.NetworkGraph System.Taffybar.Widget.SNITray
    System.Taffybar.Widget.SimpleClock
    System.Taffybar.Widget.SimpleCommandButton
    System.Taffybar.Widget.Text.CPUMonitor
    System.Taffybar.Widget.Text.MemoryMonitor
    System.Taffybar.Widget.Text.NetworkMonitor
    System.Taffybar.Widget.Util System.Taffybar.Widget.Weather
    System.Taffybar.Widget.Windows System.Taffybar.Widget.Workspaces
    System.Taffybar.Widget.WttrIn System.Taffybar.Widget.XDGMenu.Menu
    System.Taffybar.Widget.XDGMenu.MenuWidget
    System.Taffybar.WindowIcon

hidden-modules:
    Paths_taffybar System.Taffybar.DBus.Client.MPRIS2
    System.Taffybar.DBus.Client.Params
    System.Taffybar.DBus.Client.UPower
    System.Taffybar.DBus.Client.UPowerDevice
    System.Taffybar.DBus.Client.Util

import-dirs:          /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/taffybar-4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/taffybar
hs-libraries:         HStaffybar-4.0.0-1G4WV3XzzMAFhG7ZOpnQ4
extra-libraries:
    gtk-3 gdk-3 z pangocairo-1.0 pango-1.0 harfbuzz atk-1.0
    cairo-gobject cairo gdk_pixbuf-2.0 gio-2.0 gobject-2.0 glib-2.0

include-dirs:
    /usr/include/gtk-3.0 /usr/include/pango-1.0 /usr/include/glib-2.0
    /usr/lib/glib-2.0/include /usr/include/sysprof-4
    /usr/include/harfbuzz /usr/include/freetype2 /usr/include/libpng16
    /usr/include/libmount /usr/include/blkid /usr/include/fribidi
    /usr/include/cairo /usr/include/lzo /usr/include/pixman-1
    /usr/include/gdk-pixbuf-2.0 /usr/include/gio-unix-2.0
    /usr/include/cloudproviders /usr/include/atk-1.0
    /usr/include/at-spi2-atk/2.0 /usr/include/at-spi-2.0
    /usr/include/dbus-1.0 /usr/lib/dbus-1.0/include

depends:
    ConfigFile-1.1.4-43TlSZnweE8HzJuzuRrzW3
    HStringTemplate-0.8.8-3Ms6CgxHxQRFrZU9KBBAXK
    X11-1.10.3-7zBAfsIL85sJKAyVO3fFRL
    aeson-2.1.0.0-3wSqLBA0fU13NhfXDmBpwT
    ansi-terminal-0.11.3-4sOL9w5QIphDlJIIpaWFJL base-4.15.1.0
    broadcast-chan-0.2.1.2-1M577pI5kvDIxNoVYTU4wK bytestring-0.10.12.1
    conduit-1.3.4.3-8itn5Qj41ZSLgRSjBhzqyF containers-0.6.4.1
    data-default-0.7.1.1-BkZarJ3J3008hHF2JOuYeW
    dbus-1.2.22-9MJQjLNK44KDWs0JXiHJpX
    dbus-hslogger-0.1.0.1-8zIjLITwQq2Ce5ODiKHH0q directory-1.3.6.2
    dyre-0.9.1-B9ZvWqC9u51JI4mAo5zzEH
    either-5.0.2-CESQcB8iry59WM5GQWasBQ
    enclosed-exceptions-1.0.3-65gCJcxLXd4I3DxgwghZec filepath-1.4.2.1
    gi-cairo-1.0.27-ETumlLT1JYVe04UUjiU6P
    gi-cairo-connector-0.1.1-6XrcTItCNsR7rRqbLqD0OJ
    gi-cairo-render-0.1.2-56YAgTWAw3PBwYwxvPrHmr
    gi-gdk-3.0.25-DiRuKEOwWLTBSifLYR1jJ2
    gi-gdkpixbuf-2.0.28-39q1562EvUWJUPIu7608j2
    gi-gdkx11-3.0.12-6Fc532X8820132kkJGrUAQ
    gi-glib-2.0.27-1vYOjrYUs8rCctpAYIYzQ8
    gi-gtk-3.0.38-5I0l4fsBfFRDyLx2stUVJu
    gi-gtk-hs-0.3.12-BYqYV7rQxgNAKFkJiDx0UZ
    gi-pango-1.0.26-8eBImjgsHlf6I08duYnojA
    gtk-sni-tray-0.1.8.1-JFQzkrfaG264d09bNXQYoC
    gtk-strut-0.1.3.2-JCwfKo85KRr7ObeHaFf2in
    haskell-gi-0.26.1-4kG3je0jkZvC5Z2IS4Kfp8
    haskell-gi-base-0.26.1-1Bs3Ozn0LFJ4QSFDMfoWIb
    hslogger-1.3.1.0-KzlhBMOSSdaFDR3rkwktqA
    http-client-0.7.13.1-IUPmZAWhHcS7Jd2UKXuikW
    http-client-tls-0.3.6.1-KvEPoRWqIbH3HwtuX8a907
    http-conduit-2.3.8-A2ewQB6Xsua8zvxieTH7DQ
    http-types-0.12.3-L4VBkj9wBbpJhmiMCXrA05
    multimap-1.2.1-9JxmWLNMcxQ1AJJqmV9wuZ
    old-locale-1.0.0.7-B94o3sNLYrV8oE3WO2rqHh parsec-3.1.14.0
    process-1.6.13.2 rate-limit-1.4.2-G0JBGFJfmHtLOCTMYA1m1B
    regex-compat-0.95.2.1-itFB4fXPjn9OuocZGgbix
    safe-0.3.19-2aVM1fCfxX88jnlVeNbd8Q
    scotty-0.12-FgFzqbF4qezC33BsooD7Hf
    split-0.2.3.5-1ZFbiAR4sQhKaqqBevLjN8
    status-notifier-item-0.3.1.0-HRgf3zRyqfYHFv4tGTOjE3 stm-2.5.0.0
    template-haskell-2.17.0.0 text-1.2.5.0 time-1.9.3
    time-locale-compat-0.1.1.5-1snbmhWP0619voIlJd9qOd
    time-units-1.0.0-D1nYXpAWCQ2FSIdA8ibzEx transformers-0.5.6.2
    transformers-base-0.4.6-2M49J28Ed0L2XQvH4AySxP
    tuple-0.3.0.2-EL3tqoZBOsK31Bce64yVGI unix-2.7.2.2
    utf8-string-1.0.2-Fg3PN5UX3ZfnukMwwaDpj
    xdg-basedir-0.2.2-DeGg1ryr7ndmwRYCQYweT
    xdg-desktop-entry-0.1.1.1-BbMsfzn4xzeKIVaRoi49Ij
    xml-1.3.14-6hlhhPBptprHwK7nsE7OzM
    xml-helpers-1.0.0-73lIPKak9z4HTtsjqaltEq
    xmonad-0.17.1-A5VaUI4wmcnGYwktTjHvYK

haddock-interfaces:   /usr/share/doc/taffybar/html/taffybar.haddock
haddock-html:         /usr/share/doc/taffybar/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

